
From: "Barry K. Nathan" <barryn@pobox.com>

On i386, SOFTWARE_SUSPEND requires the CPU to have PSE support, but
DEBUG_PAGEALLOC disables PSE.  Thus, allowing both options to be enabled
simultaneously makes no sense.  This patch disables DEBUG_PAGEALLOC if
SOFTWARE_SUSPEND is enabled; it also displays a comment to briefly explain
why DEBUG_PAGEALLOC is missing in that case.

I have tested this patch against oldconfig and menuconfig on 2.6.11-bk2.

Signed-off-by: Barry K. Nathan <barryn@pobox.com>
Acked-by: Pavel Machek <pavel@ucw.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/Kconfig.debug |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/i386/Kconfig.debug~kconfig-debug_pagealloc-and-software_suspend-are-incompatible-on-i386 arch/i386/Kconfig.debug
--- 25/arch/i386/Kconfig.debug~kconfig-debug_pagealloc-and-software_suspend-are-incompatible-on-i386	2005-03-07 20:41:32.000000000 -0800
+++ 25-akpm/arch/i386/Kconfig.debug	2005-03-07 20:41:32.000000000 -0800
@@ -38,9 +38,12 @@ config DEBUG_STACK_USAGE
 
 	  This option will slow down process creation somewhat.
 
+comment "Page alloc debug is incompatible with Software Suspend on i386"
+	depends on DEBUG_KERNEL && SOFTWARE_SUSPEND
+
 config DEBUG_PAGEALLOC
 	bool "Page alloc debugging"
-	depends on DEBUG_KERNEL
+	depends on DEBUG_KERNEL && !SOFTWARE_SUSPEND
 	help
 	  Unmap pages from the kernel linear mapping after free_pages().
 	  This results in a large slowdown, but helps to find certain types
_
